<?xml version="1.0"?>
<schema xmlns="http://www.w3.org/2001/XMLSchema"
        targetNamespace="http://www.A.org"
        xmlns:b="http://www.B.org"
        elementFormDefault="qualified">

    <import namespace="http://www.B.org"
            schemaLocation="B.xsd" />

    <element name="A">
        <complexType>
            <sequence>
                <element ref="b:B" />
            </sequence>
        </complexType>
    </element>

</schema>